Subject: Re: bug#66049: [PATCH 0/4] Add Voikko.

From: Jussi Timperi <[email-masked]>
Date: Tue, 26 Sep 2023 15:11:07 +0300

Hi Bruno,

Bruno Victal <[email-masked]> writes:

> I see a foma/tests directory. Looks like it's not being run
> automatically as part of the build system (worth asking upstream to
> integrate this into their CMake based system) but instead it's done by
> manually invoking the run.sh script. You might have to patch this script
> to have `^foma' replaced with (string-append #$output "/bin/foma") though.

What I did in V2 was prepending PATH with the directory with the newly
build 'foma' in it. Let me know if that's not OK, and I'll move the
phase around to have #$output populated before it is run.

I'll see about raising an issue upstream about integrating the tests.

> No need for a trailing #t.

Removed in V2.

Thanks,
--
Jussi